org.apache.maven.scm.provider

## Class ScmProviderRepositoryStub

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.ScmProviderRepositoryStub

    public class ScmProviderRepositoryStub
    extends ScmProviderRepository

Stub for ScmProviderRepository for unit testing purposes. More information about Stubs on Martin Fowler's TestDouble

Version:
  $Id: ScmProviderRepositoryStub.java 685549 2008-08-13 13:36:20Z vsiveton $
Author:
  Carlos Sanchez

### Constructor Summary

Constructors
Constructor and Description
`ScmProviderRepositoryStub()` Creates a ScmProviderRepositoryStub with null user and password, and persistCheckout false

### Method Summary

Methods
`boolean` `isPersistCheckout()` Will checkouts using this repository be persisted so they can be refreshed in the future? This property is of concern to SCMs like Perforce and Clearcase where the server must track where a user checks out to.
`void` `setPersistCheckout(boolean persistCheckout)`

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

`getParent, getPassword, getRelativePath, getUser, setPassword, setUser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScmProviderRepositoryStub

    public ScmProviderRepositoryStub()

Creates a ScmProviderRepositoryStub with null user and password, and persistCheckout false

### Method Detail

#### isPersistCheckout

    public boolean isPersistCheckout()

Will checkouts using this repository be persisted so they can be refreshed in the future? This property is of concern to SCMs like Perforce and Clearcase where the server must track where a user checks out to. If false, the server entry (clientspec in Perforce terminology) will be deleted after the checkout is complete so the files will not be able to be updated.

This setting can be overriden by using the system property "maven.scm.persistcheckout" to true.

The default is false. See SCM-113 for more detail.

Overrides:
  `isPersistCheckout` in class `ScmProviderRepository`

#### setPersistCheckout

    public void setPersistCheckout(boolean persistCheckout)

Overrides:
  `setPersistCheckout` in class `ScmProviderRepository`